<?php
ob_start();
include("config.php");
	if(! check_login()) { 
	exit;
	}

$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);
$cash	=	$data->gevangenistijd*1000;

	if($data->gevangenis + $data->gevangenistijd > time()){

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<table align="center" width="600">
	<tr>
		<td class="subTitle">
		<b>Je zit in de gevangenis stomkop!!!</b>
		</td>
	</tr>
	<tr>
		<td class="mainTxt" align="center">

<?php

		if(isset($_GET['x'])){
		$getal1			=	md5($_SESSION['getal']);
		$getal2			=	$_GET['code'];
			if($getal1 != "" && $getal1 == $getal2){
			unset($_SESSION['getal']);
				if($_GET['x'] == "bustout"){
				$getal1		=	rand(1,100);
				$getal2		=	$data->uitbrakenkans;
				$procent	=	mt_rand(0,1);

					if($data->uitbrakenkans+$procent > 100){
					$procent	=	100;
					} else if($data->uitbrakenkans+$procent < 0){
					$procent	=	0;
					} else {
					$procent	=	$procent+$data->uitbrakenkans;
					}

					if($data->uitbrakenkans < 30){
					mysql_query("UPDATE `gebruiker` SET `uitbrakenkans`='$procent' WHERE `login`='{$data->login}'");
					}

					if($data->kansen != 0){
						if($getal1 <= $getal2){
						mysql_query("UPDATE `gebruiker` SET `uitbraken`=`uitbraken`+'1',`uitbrakenkans`='$procent',`gevangenistijd`='0' WHERE `login`='{$data->login}'");
						echo "Je hebt jezelf uitgebroken gefeliciteerd.";	
						exit;
						} else {
						mysql_query("UPDATE `gebruiker` SET `kansen`=`kansen`-'1',`gevangenistijd`=`gevangenistijd`+'20' WHERE `login`='{$data->login}'");
						echo "Het is mislukt, wegens slecht gedrag moet je nog 20 seconden extra zitten.";
						exit;
						}
					}

				} else {

					if($cash <= $data->cash){
					mysql_query("UPDATE `gebruiker` SET `cash`=`cash`-'$cash',`gevangenistijd`='0' WHERE `login`='{$data->login}'");
					echo "Je hebt jezelf succesvol uitgekocht.";	
					exit;
					} else {
					echo "Je hebt te weinig geld.";
					exit;
					}
				}
			}
		} else {

		$getal			=	rand(1,10);
		$_SESSION['getal']	=	$getal;
		$getalb			=	md5($getal); 

		$totaal			=	$data->gevangenis+$data->gevangenistijd-time()-3600;
		$uur			=	date("H",$totaal);
		$min			=	date("i",$totaal);
		$sec			=	date("s",$totaal);
	
?>


		<br><img src="images/gevangenis.jpg" width="250" height="175" alt="De Koepel - Je zit in de gevangenis, stomkop!!"><br><br><br>
		Straf: <?php echo $uur; ?> uur <?php echo $min; ?> minuten en <?php echo $sec; ?> seconden<br><br><br>
<?php

			if($data->cash >= $cash){

?>

		<a href="netwerken-gevangenis.php?x=buyout&code=<?php echo $getalb; ?>">Ik wil mn borg (&euro;<?php echo geld($cash); ?>) betalen!!! </a><br><br><br>

<?php

			} else {

?>

		Je hebt niet genoeg geld om de borg van &euro;<?php echo geld($cash); ?>) te betalen...<br><br><br>

<?php

			}
			if($data->kansen > 0){

?>
		<a href="netwerken-gevangenis.php?x=bustout&code=<?php echo $getalb; ?>">Gna gna... ik ga ontsnappen!</a><br><br>

<?php

			}
		}


?>

		</td>
	</tr>
</table>
</body>
</html>

<?php

exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>

<?php
	if($_GET['x'] == "bustout"){
	$getal1			=	md5($_SESSION['getal']);
	$getal2			=	$_GET['code'];
		if($getal1 != "" && $getal1 == $getal2){
		unset($_SESSION['getal']);
		$login		=	$_GET['p'];
		$dbres		=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='$login'");
		$man		=	mysql_fetch_object($dbres);
			if($man->gevangenis+$man->gevangenistijd < time()){
			echo "Al jou hack/bug abuse pogingen worden geregistreert!";
			exit;
			}
		$getal1		=	rand(1,100);
		$getal2		=	$data->uitbrakenkans;
		$procent	=	mt_rand(0,1);

			if($data->uitbrakenkans+$procent > 100){
			$procent	=	100;
			} else if($data->uitbrakenkans+$procent < 0){
			$procent	=	0;
			} else {
			$procent	=	$procent+$data->uitbrakenkans;
			}

			if($data->uitbrakenkans < 30){
			mysql_query("UPDATE `gebruiker` SET `uitbrakenkans`='$procent' WHERE `login`='{$data->login}'");
			}

			if($getal1 <= $getal2){
			mysql_query("UPDATE `gebruiker` SET `uitbraken`=`uitbraken`+'1',`uitbrakenkans`='$procent' WHERE `login`='{$data->login}'");
			mysql_query("UPDATE `gebruiker` SET `gevangenistijd`='0' WHERE `login`='{$man->login}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$man->login}','Uitbraak','{$data->login} heeft je uit de gevangenis gebroken.')");
			echo "<table align=\"center\" width=\"600\"> <tr><td class=\"subTitle\"><b>Gevangenis {$data->land}</b></td></tr><tr><td class=\"mainTxt\" align=\"center\">Je hebt {$man->login} succesvol uitgebroken!</td></tr></table>";
			} else {

			$gtijd1	=	round($man->gevangenis+$man->gevangenistijd-time()); 
			$gtijd	=	round($gtijd1/2);
			mysql_query("UPDATE `gebruiker` SET `gevangenis`=NOW(),`gevangenistijd`='$gtijd' WHERE `login`='{$data->login}'");
			echo "<table align=\"center\" width=\"600\"> <tr><td class=\"subTitle\"><b>Gevangenis {$data->land}</b></td></tr><tr><td class=\"mainTxt\" align=\"center\">Als je een van je maatjes wilt uitbreken, doe het dan wel goed... <br>Jullie kunnen nu in ieder geval wel lekker babbelen!!</td></tr></table>";
			}

		}
	} else if($_GET['x'] == "buyout"){
	$getal1			=	md5($_SESSION['getal']);
	$getal2			=	$_GET['code'];
		if($getal1 != "" && $getal1 == $getal2){
		unset($_SESSION['getal']);
		$login		=	$_GET['p'];
		$dbres		=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='$login'");
		$man		=	mysql_fetch_object($dbres);
			if($man->gevangenis+$man->gevangenistijd < time()){
			echo "Al jou hack/bug abuse pogingen worden geregistreert!";
			exit;
			}
		$geld		=	$man->gevangenistijd*1000;

			if($geld > $data->cash){
			echo "<table align=\"center\" width=\"600\"> <tr><td class=\"subTitle\"><b>Gevangenis {$data->land}</b></td></tr><tr><td class=\"mainTxt\" align=\"center\">Je hebt niet genoeg geld contant om de borg van één van je maten te betalen.</td></tr></table>";
			} else {
			mysql_query("UPDATE `gebruiker` SET `cash`=`cash`-'$geld' WHERE `login`='{$data->login}'");
			mysql_query("UPDATE `gebruiker` SET `gevangenistijd`='0' WHERE `login`='{$man->login}'") or die(mysql_error());
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$man->login}','Gevangenis','{$data->login} heeft je uit de gevangenis gekocht.')");
			echo "<table align=\"center\" width=\"600\"><tr><td class=\"subTitle\"><b>Gevangenis {$data->land}</b></td></tr><tr><td class=\"mainTxt\" align=\"center\">Je hebt {$man->login} succesvol uitgekocht!</td></tr></table>";
			}
		}
	} else {

	$getal			=	rand(1,10);
	$_SESSION['getal']	=	$getal;
	$getalb			=	md5($getal); 


?>

<table align="center" width="600">
	<tr>
		<td class="subTitle" colspan="5">
		<b>Gevangenis <?php echo $data->land; ?></b>
		</td>
	</tr>
	<tr>
		<td class="subTitle" align="center" width="150"><b>Crimineel</b></td>
		<td class="subTitle" align="center" width="150"><b>Netwerk</b></td>
		<td class="subTitle" align="center" width="100"><b>Straf</b></td>
		<td class="subTitle" align="center" width="75"><b>Bust out</b></td>
		<td class="subTitle" align="center" width="125"><b>Betaal borg</b></td>
	</tr>

<?php

	$dbres			=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `gevangenistijd` > '0' AND `land`='{$data->land}'");
		while($jail = mysql_fetch_object($dbres)){

			if($jail->gevangenis+$jail->gevangenistijd < time()){
			mysql_query("UPDATE `gebruiker` SET `gevangenistijd`='0' WHERE `login`='{$jail->login}'");
			} else {
			$totaal			=	$jail->gevangenis+$jail->gevangenistijd-time()-3600;	
			$tijd			=	date("H:i:s",$totaal);
			$gelda			=	$jail->gevangenistijd*1000;
			$geld			=	geld($gelda);
				if($jail->familie != ""){
				$familie	=	"<a href=\"netwerk-info.php?x={$jail->familie}\">{$jail->familie}</a>";
				} else {
				$familie	=	"-";
				}
?>

	<tr>
		<td align="center" class="mainTxt" width="150"><a href="speler-profiel.php?x=<?php echo $jail->login; ?>"><?php echo $jail->login; ?></a></td>
		<td align="center" class="mainTxt" width="150"><?php echo $familie; ?></td>
		<td align="center" class="mainTxt" width="100"><?php echo $tijd; ?></td>
		<td align="center" class="mainTxt" width="75"><a href="netwerken-gevangenis.php?x=bustout&p=<?php echo $jail->login; ?>&code=<?php echo $getalb; ?>">Bust out</a></td>
		<td align="center" class="mainTxt" width="125"><a href="netwerken-gevangenis.php?x=buyout&p=<?php echo $jail->login; ?>&code=<?php echo $getalb; ?>">€<?php echo $geld; ?></a></td>
	</tr>

<?php

			}
		}
	}

?>

</table>
</body>
</html>



